define(
	'Account.Model.Extension'
,	[
		'SC.Model'
	,	'Application'
	,	'Models.Init'

	,	'underscore'
	]
,	function (
		SCModel
	,	Application
	,	ModelsInit
	
	,	_
	)
{
	'use strict';
	
	_.extend(AccountModelExtension.prototype,
	{
		forgotPassword: function (email)
		{
			try
			{
				// this API method throws an exception if the email doesn't exist
				// 'The supplied email has not been registered as a customer at our Web store.'
				ModelsInit.session.sendPasswordRetrievalEmail2(email);
			}
			catch (e)
			{
				var error = Application.processError(e);
				// if the customer failed to log in previously
				// the password retrieval email is sent but an error is thrown
				if (error.errorCode !== 'ERR_WS_CUSTOMER_LOGIN')
				{
					throw e;
				}
			}

			return  {
				success: true
			};
		}
		
	});
});